#version 330 core
out vec4 FragColor;

in vec2 TexCoords;

uniform sampler2D scene;
uniform sampler2D contoursScene;

void main()
{             
    vec3 defaultColor = texture(scene, TexCoords).rgb;      
    vec3 contoursColor = texture(contoursScene, TexCoords).rgb;
 
    defaultColor -= contoursColor; // blending with minus to get black contours
    vec3 result = defaultColor;

    FragColor = vec4(result, 1.0);
}